
import com.imsl.stat.*;
import com.imsl.math.*;

public class UserBasisRegressionEx1 {

    public static void main(String args[]) {
        class Basis1 implements RegressionBasis {

            public double basis(int index, double x) {
                return Math.sin((index + 1) * x);
            }
        }

        UserBasisRegression ubr
                = new UserBasisRegression(new Basis1(), 4, false);

        for (int k = 0; k < 90; k++) {
            double x = 6.0 * k / 89.0;
            double y = 1.0 + Math.sin(x) + 7.0 * Math.sin(3.0 * x);
            ubr.update(x, y, 1.0);
        }
        double[] coef = ubr.getCoefficients();
        new PrintMatrix("The regression coefficients are:").print(coef);
    }
}
